Subject: Re: [EAI] The scenario favoring "uMailbox"?

From: "Jiankang YAO" <[email-masked]>
Date: Tue, 26 Apr 2011 13:36:26 +0800

----- Original Message ----- 
From: "John Levine" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, April 26, 2011 12:19 PM
Subject: Re: [EAI] The scenario favoring "uMailbox"?

> >so the conclusion is that EAI system blocks the communication between
>>[email-masked] or abc@a-label in the pure EAI system and
>>[email-masked] in rfc2821 system??
> 
> I wouldn't say it blocks it, although I would say that it doesn't
> enable it.
> This group spent a very long time trying to figure out ways to provide
> downgrades for EAI messages, and gave up.  I don't think there is much
> support for reopening that discussion.
> 

For clarification, I am not trying to reopen the downgrade discussion.

we are arguing or discussing whether uMailbox or Mailbox should be used for ABNF syntax.

I think that the core issue left for the core rfcs is ABNF syntax.

I hope that we can have a clear conclusion or solution for ABNF syntax soon.

Jiankang Yao 

> R's,
> John

---

From: Dave CROCKER <[email-masked]>
Date: Tue, 26 Apr 2011 08:49:50 -0700

Folks,

> I hope that we can have a clear conclusion or solution for ABNF syntax soon.

I have looked over the ABNF in rfc5335bis and this message contains a proposal 
for a much simpler approach.

The current rfc5335bis draft specifies extensive ABNF, including additions of 
"u" rules, in Sections:

    3.3.  Extended Mailbox Address Syntax

    3.7.3.  Trace Information

    3.7.4.2.  VRFY and EXPN Commands and the UTF8SMTPbis Parameter

These sections have a large number of ABNF rules that add UTF-8 support 
selectively and in the "higher-level" rules, rather than the underlying, basic 
rules.

To follow the different and simpler approach that the EAI working group has now 
approved for rfc5335bis, I propose adding UTF-8 support to underlying (basic) 
rules.

Here are the only ABNF changes that appear to be needed.

 From rfc5335bis:

    UTF8-enhancement  =   UTF8-2 / UTF8-3 / UTF8-4
                        ; incorporate from rfc5335bis, Section 2.1

    VCHAR   =/  UTF8-non-ascii
                        ; incorporate from rfc5335bis, Section 2.1

    ctext   =/  UTF8-enhancement
                        ; incorporate from rfc5335bis, Section 2.1

    atext   =/  UTF8-enhancement
                        ; incorporate from rfc5335bis, Section 2.1

    qtext   =/  UTF8-enhancement
                        ; incorporate from rfc5335bis, Section 2.1

    text    =/  UTF8-enhancement
                   ; note that this upgrades the body to UTF-8
                        ; incorporate from rfc5335bis, Section 2.1

    {{ how to add IDN to this? }}
    domain  =   dot-atom / domain-literal / obs-domain
                        ; incorporate from rfc5335bis, Section 2.1

Add:

    quoted-pairSMTP  =/ %d92 UTF8-enhancement

    qtextSMTP        =/  UTF8-enhancement

All other ABNF rules in rfc5335bis would be removed.

In terms of the effect of doing this, in rfc5335bis, here is an example:

 > 3.3.  Extended Mailbox Address Syntax
 >
 >    uMailbox = uLocal-part "@" ( uDomain / address-literal )
 >     ; Replace Mailbox in RFC 5321, Section 4.1.2

Use existing <Mailbox> definition from RFC 5321, with the <atext> enhancement 
from above.  This covers UTF-8 in Local-part.

IDN handles UTF-8 in the Domain. (Note that the specific details for specifying 
this in rfc5335bis is not fully resolved; it needs to be resolved the same way 
for that specification and for this one.)

Therefore uLocal-part and uDomain are not needed; none of their supporting rules 
are needed.

Similar simplifications take place for the other higher-level construct.

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: "Jiankang YAO" <[email-masked]>
Date: Wed, 27 Apr 2011 08:51:20 +0800

thanks a lot for Dave's detail ABNF suggestion.
Hope to see more comments to it from the WG.

Jiankang Yao

----- Original Message ----- 
From: "Dave CROCKER" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, April 26, 2011 11:49 PM
Subject: Re: [EAI] The scenario favoring "uMailbox"?

> _______________________________________________
> IMA mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ima